using UnityEngine;

// Создаем пункт в меню Assets -> Create -> Theme, чтобы легко создавать новые темы
[CreateAssetMenu(fileName = "NewVisualTheme", menuName = "Runner/Visual Theme")]
public class VisualTheme : ScriptableObject
{
    [Header("Theme Assets")]
    public string themeName;

    [Header("Environment")]
    public Material skyboxMaterial;
    public GameObject platformPrefab;

    [Header("Player")]
    public GameObject playerPrefab; // Разные модели игрока

    [Header("Items & Obstacles")]
    public GameObject coinPrefab;
    public GameObject lowObstaclePrefab;
    public GameObject highObstaclePrefab;
    public GameObject movingObstaclePrefab;
    public GameObject invincibilityBonusPrefab;
}
